lz_decoder.c File Reference

LZ out window. More...

`#include "lz_decoder.h"`

## Data Structures

struct | lzma_coder

## Functions

static void | lz_decoder_reset (lzma_coder *coder)
static lzma_ret | decode_buffer (lzma_coder *coder, const uint8_t *restrict in, size_t *restrict in_pos, size_t in_size, uint8_t *restrict out, size_t *restrict out_pos, size_t out_size)
static lzma_ret | lz_decode (void *coder_ptr, const lzma_allocator *allocator, const uint8_t *restrict in, size_t *restrict in_pos, size_t in_size, uint8_t *restrict out, size_t *restrict out_pos, size_t out_size, lzma_action action)
static void | lz_decoder_end (void *coder_ptr, const lzma_allocator *allocator)
lzma_ret | lzma_lz_decoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters, lzma_ret(*lz_init)(lzma_lz_decoder *lz, const lzma_allocator *allocator, const void *options, lzma_lz_options *lz_options))
uint64_t | lzma_lz_decoder_memusage (size_t dictionary_size)
void | lzma_lz_decoder_uncompressed (void *coder_ptr, lzma_vli uncompressed_size)

## Detailed Description

LZ out window.